=== modified file 'mysys/my_error.c'
--- mysys/my_error.c	2008-07-07 12:48:50 +0000
+++ mysys/my_error.c	2008-07-17 21:18:07 +0000
@@ -72,8 +72,6 @@
   struct my_err_head *meh_p;
   va_list args;
   char ebuff[ERRMSGSIZE + 20];
-  DBUG_ENTER("my_error");
-  DBUG_PRINT("my", ("nr: %d  MyFlags: %d  errno: %d", nr, MyFlags, errno));
 
   /* Search for the error messages array, which could contain the message. */
   for (meh_p= my_errmsgs_list; meh_p; meh_p= meh_p->meh_next)
@@ -91,7 +89,7 @@
     va_end(args);
   }
   (*error_handler_hook)(nr, ebuff, MyFlags);
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -110,15 +108,12 @@
 {
   va_list args;
   char ebuff[ERRMSGSIZE+20];
-  DBUG_ENTER("my_printf_error");
-  DBUG_PRINT("my", ("nr: %d  MyFlags: %d  errno: %d  Format: %s",
-		    error, MyFlags, errno, format));
 
   va_start(args,MyFlags);
   (void) vsnprintf (ebuff, sizeof(ebuff), format, args);
   va_end(args);
   (*error_handler_hook)(error, ebuff, MyFlags);
-  DBUG_VOID_RETURN;
+  return;
 }
 
 /*

=== modified file 'mysys/my_file.c'
--- mysys/my_file.c	2008-06-25 05:29:13 +0000
+++ mysys/my_file.c	2008-07-17 21:18:07 +0000
@@ -42,19 +42,14 @@
 {
   struct rlimit rlimit;
   uint old_cur;
-  DBUG_ENTER("set_max_open_files");
-  DBUG_PRINT("enter",("files: %u", max_file_limit));
 
   if (!getrlimit(RLIMIT_NOFILE,&rlimit))
   {
     old_cur= (uint) rlimit.rlim_cur;
-    DBUG_PRINT("info", ("rlim_cur: %u  rlim_max: %u",
-			(uint) rlimit.rlim_cur,
-			(uint) rlimit.rlim_max));
     if (rlimit.rlim_cur == RLIM_INFINITY)
       rlimit.rlim_cur = max_file_limit;
     if (rlimit.rlim_cur >= max_file_limit)
-      DBUG_RETURN(rlimit.rlim_cur);		/* purecov: inspected */
+      return(rlimit.rlim_cur);		/* purecov: inspected */
     rlimit.rlim_cur= rlimit.rlim_max= max_file_limit;
     if (setrlimit(RLIMIT_NOFILE, &rlimit))
       max_file_limit= old_cur;			/* Use original value */
@@ -62,13 +57,11 @@
     {
       rlimit.rlim_cur= 0;			/* Safety if next call fails */
       (void) getrlimit(RLIMIT_NOFILE,&rlimit);
-      DBUG_PRINT("info", ("rlim_cur: %u", (uint) rlimit.rlim_cur));
       if (rlimit.rlim_cur)			/* If call didn't fail */
 	max_file_limit= (uint) rlimit.rlim_cur;
     }
   }
-  DBUG_PRINT("exit",("max_file_limit: %u", max_file_limit));
-  DBUG_RETURN(max_file_limit);
+  return(max_file_limit);
 }
 
 #else
@@ -94,16 +87,14 @@
 uint my_set_max_open_files(uint files)
 {
   struct st_my_file_info *tmp;
-  DBUG_ENTER("my_set_max_open_files");
-  DBUG_PRINT("enter",("files: %u  my_file_limit: %u", files, my_file_limit));
 
   files= set_max_open_files(min(files, OS_FILE_LIMIT));
   if (files <= MY_NFILE)
-    DBUG_RETURN(files);
+    return(files);
 
   if (!(tmp= (struct st_my_file_info*) my_malloc(sizeof(*tmp) * files,
 						 MYF(MY_WME))))
-    DBUG_RETURN(MY_NFILE);
+    return(MY_NFILE);
 
   /* Copy any initialized files */
   memcpy((char*) tmp, (char*) my_file_info,
@@ -113,14 +104,12 @@
   my_free_open_file_info();			/* Free if already allocated */
   my_file_info= tmp;
   my_file_limit= files;
-  DBUG_PRINT("exit",("files: %u", files));
-  DBUG_RETURN(files);
+  return(files);
 }
 
 
 void my_free_open_file_info()
 {
-  DBUG_ENTER("my_free_file_info");
   if (my_file_info != my_file_info_default)
   {
     /* Copy data back for my_print_open_files */
@@ -130,5 +119,5 @@
     my_file_info= my_file_info_default;
     my_file_limit= MY_NFILE;
   }
-  DBUG_VOID_RETURN;
+  return;
 }

=== modified file 'mysys/my_fopen.c'
--- mysys/my_fopen.c	2008-06-25 05:29:13 +0000
+++ mysys/my_fopen.c	2008-07-17 21:18:07 +0000
@@ -38,9 +38,6 @@
 {
   FILE *fd;
   char type[5];
-  DBUG_ENTER("my_fopen");
-  DBUG_PRINT("my",("Name: '%s'  flags: %d  MyFlags: %d",
-		   filename, flags, MyFlags));
   /* 
     if we are not creating, then we need to use my_access to make sure  
     the file exists since Windows doesn't handle files like "com1.sym" 
@@ -61,7 +58,7 @@
     if ((uint) fileno(fd) >= my_file_limit)
     {
       thread_safe_increment(my_stream_opened,&THR_LOCK_open);
-      DBUG_RETURN(fd);				/* safeguard */
+      return(fd);				/* safeguard */
     }
     pthread_mutex_lock(&THR_LOCK_open);
     if ((my_file_info[fileno(fd)].name = (char*)
@@ -71,8 +68,7 @@
       my_file_total_opened++;
       my_file_info[fileno(fd)].type = STREAM_BY_FOPEN;
       pthread_mutex_unlock(&THR_LOCK_open);
-      DBUG_PRINT("exit",("stream: 0x%lx", (long) fd));
-      DBUG_RETURN(fd);
+      return(fd);
     }
     pthread_mutex_unlock(&THR_LOCK_open);
     (void) my_fclose(fd,MyFlags);
@@ -80,12 +76,11 @@
   }
   else
     my_errno=errno;
-  DBUG_PRINT("error",("Got error %d on open",my_errno));
   if (MyFlags & (MY_FFNF | MY_FAE | MY_WME))
     my_error((flags & O_RDONLY) || (flags == O_RDONLY ) ? EE_FILENOTFOUND :
 	     EE_CANTCREATEFILE,
 	     MYF(ME_BELL+ME_WAITTANG), filename, my_errno);
-  DBUG_RETURN((FILE*) 0);
+  return((FILE*) 0);
 } /* my_fopen */
 
 
@@ -94,8 +89,6 @@
 int my_fclose(FILE *fd, myf MyFlags)
 {
   int err,file;
-  DBUG_ENTER("my_fclose");
-  DBUG_PRINT("my",("stream: 0x%lx  MyFlags: %d", (long) fd, MyFlags));
 
   pthread_mutex_lock(&THR_LOCK_open);
   file=fileno(fd);
@@ -114,7 +107,7 @@
     my_free(my_file_info[file].name, MYF(MY_ALLOW_ZERO_PTR));
   }
   pthread_mutex_unlock(&THR_LOCK_open);
-  DBUG_RETURN(err);
+  return(err);
 } /* my_fclose */
 
 
@@ -125,9 +118,6 @@
 {
   FILE *fd;
   char type[5];
-  DBUG_ENTER("my_fdopen");
-  DBUG_PRINT("my",("Fd: %d  Flags: %d  MyFlags: %d",
-		   Filedes, Flags, MyFlags));
 
   make_ftype(type,Flags);
   if ((fd = fdopen(Filedes, type)) == 0)
@@ -155,8 +145,7 @@
     pthread_mutex_unlock(&THR_LOCK_open);
   }
 
-  DBUG_PRINT("exit",("stream: 0x%lx", (long) fd));
-  DBUG_RETURN(fd);
+  return(fd);
 } /* my_fdopen */
 
 
@@ -188,8 +177,8 @@
 static void make_ftype(register char * to, register int flag)
 {
   /* check some possible invalid combinations */  
-  DBUG_ASSERT((flag & (O_TRUNC | O_APPEND)) != (O_TRUNC | O_APPEND));
-  DBUG_ASSERT((flag & (O_WRONLY | O_RDWR)) != (O_WRONLY | O_RDWR));
+  assert((flag & (O_TRUNC | O_APPEND)) != (O_TRUNC | O_APPEND));
+  assert((flag & (O_WRONLY | O_RDWR)) != (O_WRONLY | O_RDWR));
 
   if ((flag & (O_RDONLY|O_WRONLY)) == O_WRONLY)    
     *to++= (flag & O_APPEND) ? 'a' : 'w';  

=== modified file 'mysys/my_fstream.c'
--- mysys/my_fstream.c	2008-07-02 14:35:48 +0000
+++ mysys/my_fstream.c	2008-07-17 21:18:07 +0000
@@ -45,13 +45,9 @@
 size_t my_fread(FILE *stream, uchar *Buffer, size_t Count, myf MyFlags)
 {
   size_t readbytes;
-  DBUG_ENTER("my_fread");
-  DBUG_PRINT("my",("stream: 0x%lx  Buffer: 0x%lx  Count: %u  MyFlags: %d",
-		   (long) stream, (long) Buffer, (uint) Count, MyFlags));
 
   if ((readbytes= fread(Buffer, sizeof(char), Count, stream)) != Count)
   {
-    DBUG_PRINT("error",("Read only %d bytes", (int) readbytes));
     if (MyFlags & (MY_WME | MY_FAE | MY_FNABP))
     {
       if (ferror(stream))
@@ -64,11 +60,11 @@
     }
     my_errno=errno ? errno : -1;
     if (ferror(stream) || MyFlags & (MY_NABP | MY_FNABP))
-      DBUG_RETURN((size_t) -1);			/* Return with error */
+      return((size_t) -1);			/* Return with error */
   }
   if (MyFlags & (MY_NABP | MY_FNABP))
-    DBUG_RETURN(0);				/* Read ok */
-  DBUG_RETURN(readbytes);
+    return(0);				/* Read ok */
+  return(readbytes);
 } /* my_fread */
 
 
@@ -93,9 +89,6 @@
 #if !defined(NO_BACKGROUND) && defined(USE_MY_STREAM)
   uint errors;
 #endif
-  DBUG_ENTER("my_fwrite");
-  DBUG_PRINT("my",("stream: 0x%lx  Buffer: 0x%lx  Count: %u  MyFlags: %d",
-		   (long) stream, (long) Buffer, (uint) Count, MyFlags));
 
 #if !defined(NO_BACKGROUND) && defined(USE_MY_STREAM)
   errors=0;
@@ -107,7 +100,6 @@
     if ((written = (size_t) fwrite((char*) Buffer,sizeof(char),
                                    Count, stream)) != Count)
     {
-      DBUG_PRINT("error",("Write only %d bytes", (int) writtenbytes));
       my_errno=errno;
       if (written != (size_t) -1)
       {
@@ -154,7 +146,7 @@
       writtenbytes+= written;
     break;
   }
-  DBUG_RETURN(writtenbytes);
+  return(writtenbytes);
 } /* my_fwrite */
 
 
@@ -163,10 +155,7 @@
 my_off_t my_fseek(FILE *stream, my_off_t pos, int whence,
 		  myf MyFlags __attribute__((unused)))
 {
-  DBUG_ENTER("my_fseek");
-  DBUG_PRINT("my",("stream: 0x%lx  pos: %lu  whence: %d  MyFlags: %d",
-                   (long) stream, (long) pos, whence, MyFlags));
-  DBUG_RETURN(fseek(stream, (off_t) pos, whence) ?
+  return(fseek(stream, (off_t) pos, whence) ?
 	      MY_FILEPOS_ERROR : (my_off_t) ftell(stream));
 } /* my_seek */
 
@@ -176,9 +165,6 @@
 my_off_t my_ftell(FILE *stream, myf MyFlags __attribute__((unused)))
 {
   off_t pos;
-  DBUG_ENTER("my_ftell");
-  DBUG_PRINT("my",("stream: 0x%lx  MyFlags: %d", (long) stream, MyFlags));
   pos=ftell(stream);
-  DBUG_PRINT("exit",("ftell: %lu",(ulong) pos));
-  DBUG_RETURN((my_off_t) pos);
+  return((my_off_t) pos);
 } /* my_ftell */

=== modified file 'mysys/my_getwd.c'
--- mysys/my_getwd.c	2008-07-15 06:45:16 +0000
+++ mysys/my_getwd.c	2008-07-17 21:18:07 +0000
@@ -42,9 +42,6 @@
 int my_getwd(char * buf, size_t size, myf MyFlags)
 {
   char * pos;
-  DBUG_ENTER("my_getwd");
-  DBUG_PRINT("my",("buf: 0x%lx  size: %u  MyFlags %d",
-                   (long) buf, (uint) size, MyFlags));
 
   if (curr_dir[0])				/* Current pos is saved here */
     VOID(strmake(buf,&curr_dir[0],size-1));
@@ -81,7 +78,7 @@
     }
     (void) strmake(&curr_dir[0],buf, (size_t) (FN_REFLEN-1));
   }
-  DBUG_RETURN(0);
+  return(0);
 } /* my_getwd */
 
 
@@ -95,8 +92,6 @@
 #if defined(VMS)
   char buff[FN_REFLEN];
 #endif
-  DBUG_ENTER("my_setwd");
-  DBUG_PRINT("my",("dir: '%s'  MyFlags %d", dir, MyFlags));
 
   start=(char *) dir;
   if (! dir[0] || (dir[0] == FN_LIBCHAR && dir[1] == 0))
@@ -134,7 +129,7 @@
     else
       curr_dir[0]='\0';				/* Don't save name */
   }
-  DBUG_RETURN(res);
+  return(res);
 } /* my_setwd */
 
 

